<template>
  <div class="btn-wrapper">
    <a
      class="btn-container"
      :class="{ __large: largeSize }"
      :href="props.href"
      v-if="props.href"
      :style="{ color: props.txtColor, background: props.bgColor }"
    >
      {{ BtnTxt }}
    </a>
    <button
      class="btn-container"
      :class="{ __large: largeSize }"
      v-else
      :style="{ color: props.txtColor, background: props.bgColor }"
      :type="btnType"
    >
      {{ btnTxt }}
    </button>
  </div>
</template>

<script setup>
const props = defineProps({
  href: String,
  txtColor: String,
  bgColor: String,
  largeSize: Boolean,
  btnTxt: String,
  btnType: String,
});
</script>

<style lang="sass" scoped>
@import '/assets/styles/_variables.sass'
.btn
    &-container
        display: block
        text-decoration: none
        padding: 10px 4px
        height: 2.3rem
        border-radius: 6px
        border: none
        min-width: 7rem
        cursor: pointer
        text-align: center
        box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.25)
        &:hover
            filter: brightness(90%)
            transition: .2s ease-in
        &:active
            filter: brightness(90%)
            box-shadow: inset 0px 2px 2px rgba(0, 0, 0, 0.25)
.__large
    width: fit-content
</style>
